Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Fri, 26 Jun 2020 20:25:31 -0600

On 6/26/20 7:56 PM, Konstantin Ryabitsev wrote:
> On Fri, Jun 26, 2020 at 07:32:15PM -0600, Jens Axboe wrote:
>> On 6/26/20 5:07 PM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> In commit
>>>
>>>   cd664b0e35cb ("io_uring: fix hanging iopoll in case of -EAGAIN")
>>>
>>> Fixes tag
>>>
>>>   Fixes: bbde017a32b3 ("io_uring: add memory barrier to synchronize
>>>
>>> has these problem(s):
>>>
>>>   - Subject has leading but no trailing parentheses
>>>   - Subject has leading but no trailing quotes
>>>
>>> Please do not split Fixes tags over more than one line.
>>
>> Gah, that's b4 messing it up. I've actually seen this before, but
>> I caught it. If you look at the actual commit, this is what the b4
>> output ends up being for the fixes line:
>>
>> [snip]
>> io_kiocb's result and iopoll_completed")
>>
>> Fixes: bbde017a32b3 ("io_uring: add memory barrier to synchronize
>>
>> even though it's correct in the email. I'm guessing some issue having to
>> do with the longer line?
> 
> Yeah, I'll try to see if there's something I can do here, but it's going 
> to be largely guesswork. Here's the original email:
> 
> https://lore.kernel.org/lkml/2211[email-masked]/raw
> 
> The Fixes: footer really does get split into two. It's not that hard to 
> add logic just for the Fixes tag (since it conveniently follows a set 
> pattern), but finding a universal fix for split footers will be more 
> difficult.

Right, but that's what git format-patch does when the line is long. Do
we have other tags where that's a concern? If not, then the fix should
be solid I think.

> I'll see what I can do.

Thanks!

-- 
Jens Axboe